Bug 1470061 - [abrt] zeitgeist: g_type_check_instance_is_fundamentally_a(): zeitgeist-datahub killed by signal 11
[abrt] zeitgeist: g_type_check_instance_is_fundamentally_a(): zeitgeist-datah...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: zeitgeist (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5902f3ca05d28a9c68747e61b14...
:
: 1477240 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 07:10 EDT by Janvitus
Modified: 2018-05-29 08:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.39 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: core_backtrace (20.80 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: dso_list (7.16 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: environ (1.36 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: exploitable (93 bytes, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: maps (34.44 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: open_fds (1.90 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-12 07:11 EDT, Janvitus
no flags Details

  None (edit)
Description Janvitus 2017-07-12 07:10:53 EDT
Version-Release number of selected component:
zeitgeist-1.0-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        zeitgeist-datahub
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/zeitgeist-datahub
journald_cursor: s=6d11bd492c314d68b01bf16154815075;i=2715a;b=d699377ce25d44ae87d2712001dfac2e;m=16123ac4;t=5541b4999c725;x=cb827d03c4e92e1c
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #1 g_object_ref at gobject.c:3051
 #2 _g_object_ref0 at event.c:335
 #3 zeitgeist_event_add_subject at event.c:395
 #4 zeitgeist_event_constructv_full at event.c:442
 #5 zeitgeist_event_new_full at event.c:452
 #6 telepathy_observer_create_text_event at telepathy-observer.c:619
 #7 telepathy_observer_observe_text_channel at telepathy-observer.c:838
 #8 telepathy_observer_observe_channels at telepathy-observer.c:1939
 #9 _telepathy_observer_observe_channels_tp_simple_observer_observe_channels_impl at telepathy-observer.c:2001
Comment 1 Janvitus 2017-07-12 07:11:03 EDT
Created attachment 1296865 [details]
File: backtrace
Comment 2 Janvitus 2017-07-12 07:11:05 EDT
Created attachment 1296866 [details]
File: cgroup
Comment 3 Janvitus 2017-07-12 07:11:08 EDT
Created attachment 1296867 [details]
File: core_backtrace
Comment 4 Janvitus 2017-07-12 07:11:10 EDT
Created attachment 1296868 [details]
File: cpuinfo
Comment 5 Janvitus 2017-07-12 07:11:12 EDT
Created attachment 1296869 [details]
File: dso_list
Comment 6 Janvitus 2017-07-12 07:11:14 EDT
Created attachment 1296870 [details]
File: environ
Comment 7 Janvitus 2017-07-12 07:11:16 EDT
Created attachment 1296871 [details]
File: exploitable
Comment 8 Janvitus 2017-07-12 07:11:17 EDT
Created attachment 1296872 [details]
File: limits
Comment 9 Janvitus 2017-07-12 07:11:20 EDT
Created attachment 1296873 [details]
File: maps
Comment 10 Janvitus 2017-07-12 07:11:23 EDT
Created attachment 1296874 [details]
File: open_fds
Comment 11 Janvitus 2017-07-12 07:11:25 EDT
Created attachment 1296875 [details]
File: proc_pid_status
Comment 12 Janvitus 2017-07-12 07:11:27 EDT
Created attachment 1296876 [details]
File: var_log_messages
Comment 13 Mark Tinberg 2017-07-24 11:05:36 EDT
Similar problem has been detected:

this just happened at reboot after patching

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        zeitgeist-datahub
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/zeitgeist-datahub
journald_cursor: s=daa6b5c867b84c32aa3c82eb3b35d03c;i=c9c6f5;b=f9c7a44963da4c01a11a06da115c47b4;m=c27913c;t=555116c915417;x=4f80d99b0d48b915
kernel:         4.11.11-300.fc26.x86_64
package:        zeitgeist-1.0-2.fc26
reason:         zeitgeist-datahub killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Anass Ahmed 2017-07-29 18:56:10 EDT
Similar problem has been detected:

Just logged into GNOME after boot, I think I started to see it after using Polaris in background.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        zeitgeist-datahub
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/zeitgeist-datahub
journald_cursor: s=f847be9c2a274ce08ae778e8ddf93b66;i=1bc048;b=19cc501bb6744355ade8e9b9b61b14d6;m=2856c13;t=555794c635ed2;x=61d3b1ae71fce9fe
kernel:         4.11.11-300.fc26.x86_64
package:        zeitgeist-1.0-2.fc26
reason:         zeitgeist-datahub killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Mark Tinberg 2017-07-31 11:20:12 EDT
(In reply to Anass Ahmed from comment #14)
> Similar problem has been detected:
> 
> Just logged into GNOME after boot, I think I started to see it after using
> Polaris in background.
>


I too run Polari in the background and set to start on login, logged into a couple of Freenode channels, so maybe this is related.
Comment 16 Freddy 2017-08-01 10:38:31 EDT
*** Bug 1477240 has been marked as a duplicate of this bug. ***
Comment 17 Anass Ahmed 2017-08-08 08:54:25 EDT
Similar problem has been detected:

Login into the system only using Polari to run in background and some usual Google/Outlook/Pocket (Read it later)/IMAP accounts.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        zeitgeist-datahub
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/zeitgeist-datahub
journald_cursor: s=4c258e991f99418398f60e87e1787379;i=2276;b=f30b0ebd6102413aa174401a8393fe73;m=5e12f325;t=5563d5ca6db14;x=fb4518778d1fbcd0
kernel:         4.11.11-300.fc26.x86_64
package:        zeitgeist-1.0-2.fc26
reason:         zeitgeist-datahub killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2018-05-03 03:59:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Janvitus 2018-05-03 05:02:11 EDT
This bug is still alive in Fedora 28.


Process 2080 (zeitgeist-datah) of user 1000 dumped core.

Stack trace of thread 2080:
#0  0x00007f5cf563c331 g_type_check_instance_is_fundamentally_a (libgobject-2.0.so.0)
#1  0x00007f5cf561c987 g_object_ref (libgobject-2.0.so.0)
#2  0x00007f5cf7d514d2 zeitgeist_event_add_subject (libzeitgeist-2.0.so.0)
#3  0x00007f5cf7d5243d zeitgeist_event_constructv_full (libzeitgeist-2.0.so.0)
#4  0x00007f5cf7d52f74 zeitgeist_event_new_full (libzeitgeist-2.0.so.0)
#5  0x00005607ea94cbcb telepathy_observer_create_text_event (zeitgeist-datahub)
#6  0x00005607ea94d054 _telepathy_observer_observe_channels_tp_simple_observer_observe_channels_impl (zeitgeist-datahub)
#7  0x00007f5cf5003dc5 observe_channels (libtelepathy-glib.so.0)
#8  0x00007f5cf4f20f9e context_prepare_cb (libtelepathy-glib.so.0)
#9  0x00007f5cf58dd28a g_simple_async_result_complete (libgio-2.0.so.0)
#10 0x00007f5cf4fee15d context_check_prepare (libtelepathy-glib.so.0)
#11 0x00007f5cf4fee1cb occ_channel_prepare_cb (libtelepathy-glib.so.0)
#12 0x00007f5cf58dd28a g_simple_async_result_complete (libgio-2.0.so.0)
#13 0x00007f5cf58dd2fd complete_in_idle_cb (libgio-2.0.so.0)
#14 0x00007f5cf53390eb g_idle_dispatch (libglib-2.0.so.0)
#15 0x00007f5cf533c7cd g_main_context_dispatch (libglib-2.0.so.0)
#16 0x00007f5cf533cb98 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
#17 0x00007f5cf533cec2 g_main_loop_run (libglib-2.0.so.0)
#18 0x00005607ea949ed6 data_hub_main (zeitgeist-datahub)
#19 0x00007f5cf48f31bb __libc_start_main (libc.so.6)
#20 0x00005607ea94087a _start (zeitgeist-datahub)

Stack trace of thread 2130:
#0  0x00007f5cf49bf929 __poll (libc.so.6)
#1  0x00007f5cf533cb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
#2  0x00007f5cf533cc30 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f5cf533cc81 glib_worker_main (libglib-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2159:
#0  0x00007f5cf49c4df9 syscall (libc.so.6)
#1  0x00007f5cf5383333 g_cond_wait (libglib-2.0.so.0)
#2  0x00007f5cf530f0fb g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3  0x00007f5cf53656c7 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2131:
#0  0x00007f5cf49c4df9 syscall (libc.so.6)
#1  0x00007f5cf538344e g_cond_wait_until (libglib-2.0.so.0)
#2  0x00007f5cf530f0e1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3  0x00007f5cf530f6d0 g_async_queue_timeout_pop (libglib-2.0.so.0)
#4  0x00007f5cf5365791 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#6  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#7  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2136:
#0  0x00007f5cf49bf929 __poll (libc.so.6)
#1  0x00007f5cf533cb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
#2  0x00007f5cf533cec2 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f5cf593360a gdbus_shared_thread_func (libgio-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2160:
#0  0x00007f5cf49c4df9 syscall (libc.so.6)
#1  0x00007f5cf5383333 g_cond_wait (libglib-2.0.so.0)
#2  0x00007f5cf530f0fb g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3  0x00007f5cf53656c7 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2161:
#0  0x00007f5cf49c4df9 syscall (libc.so.6)
#1  0x00007f5cf5383333 g_cond_wait (libglib-2.0.so.0)
#2  0x00007f5cf530f0fb g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3  0x00007f5cf53656c7 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)

Stack trace of thread 2162:
#0  0x00007f5cf49c4df9 syscall (libc.so.6)
#1  0x00007f5cf5383333 g_cond_wait (libglib-2.0.so.0)
#2  0x00007f5cf530f0fb g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
#3  0x00007f5cf53656c7 g_thread_pool_thread_proxy (libglib-2.0.so.0)
#4  0x00007f5cf5364cea g_thread_proxy (libglib-2.0.so.0)
#5  0x00007f5cf4c97564 start_thread (libpthread.so.0)
#6  0x00007f5cf49ca31f __clone (libc.so.6)
Comment 20 Fedora End Of Life 2018-05-29 08:20:28 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.